ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ste...@apache.org
Subject svn commit: r452917 - /ant/core/trunk/build.sh
Date Wed, 04 Oct 2006 15:45:51 GMT
Author: stevel
Date: Wed Oct  4 08:45:50 2006
New Revision: 452917

URL: http://svn.apache.org/viewvc?view=rev&rev=452917
Log:
patch build.sh to exit with an error code if bootstrapping fails, for the Gentoo team.

Modified:
    ant/core/trunk/build.sh

Modified: ant/core/trunk/build.sh
URL: http://svn.apache.org/viewvc/ant/core/trunk/build.sh?view=diff&rev=452917&r1=452916&r2=452917
==============================================================================
--- ant/core/trunk/build.sh (original)
+++ ant/core/trunk/build.sh Wed Oct  4 08:45:50 2006
@@ -41,7 +41,7 @@
 
 if test ! -f bootstrap/lib/ant.jar -o  ! -x bootstrap/bin/ant -o ! -x bootstrap/bin/antRun
; then
   echo Bootstrap FAILED
-  exit
+  exit 1
 fi
 
 if [ "$REALANTHOME" != "" ] ; then



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message